"""Generic types and definitions
"""

from typing import Literal

ALPHA_LOWER = 'abcdefghijklmnopqrstuvwxyz'
ALPHA_UPPER = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
DIGIT = '0123456789'
B32_CHAR = ALPHA_LOWER + '234567'
ALPHA_LOWER_OR_DIGIT = ALPHA_LOWER + DIGIT
PRINTABLE_ASCII = bytes(range(32, 127)).decode('utf-8')

ASCII = bytes(range(128))

Cmp = Literal[-1, 0, 1]
